Skip to content

# anyRemote

# Set(parameter, ... ) command

This command used to tune Java client in some aspects (which could be hardware-dependent).

Format:

Set(parameter[,_parameter_name_ , _parameter_value_]*)

It is useful to add Set(parameter, ...) command to (Connect) event handler to set parametes automatically upon connection to the phone.

See FAQ how it can be done.

Set(parameter,debug,on|off)

Switch on/off debug information printing in Java Client. Useful for debugging. Default value is "off".

    (Connect)=Set(parameter,debug,on);

Set(parameter,lazy_repaint,on|off)

Useful to avoid flickering screen of java client. Default value is "off". If You use long commands like Set(title,a1);Set(status,a2);Set(icons,SAME,...);... then if this parameter is set to "off" then screen of java client will be repainted after each command. If this parameter set to "on" then screen of java client will be repainted only if Set(repaint) command will be issued.

    (Connect)=Set(parameter,lazy_repaint,on);

Set(parameter,full_repaint,on|off)

Useful to fix some mismatches in Java realization in phones. Default value is "on". Try to set this option to "off" if something goes wrong with repainting of java client.

    (Connect)=Set(parameter,full_repaint,on);

Set(parameter,fix_se,on|off|auto)

Useful to fix mismatches in SE-K750's Java realization. Default value is "auto". If You use other SonyEricsson phone try to set this option to "on" if something goes wrong with repainting of java client.

    (Connect)=Set(parameter,fix_se,on);

Set(parameter,fix_siemens,on|off|auto)

Useful to fix mismatches in Siemens-S65's Java realization. Default value is "auto". If You use Siemens/BenqSiemens phone try to set this option to "on" if something goes wrong with java client.

    (Connect)=Set(parameter,fix_siemens,on);

Set(parameter,fix_joystick,auto|off)

Useful if java client handle joystick buttons incorrectly. In general should be used in conjunction with Set(parameter,joystick_*,_keycode_).

    (Connect)=Set(parameter,fix_joystick,auto);

Set(parameter,joystick_up,_keycode_)

Set(parameter,joystick_down,_keycode_)

Set(parameter,joystick_left,_keycode_)

Set(parameter,joystick_right,_keycode_)

Set(parameter,joystick_push,_keycode_)

Useful if java client handle joystick buttons incorrectly. Allows to set keycodes which will be interpreted as joystick keycodes. No default values. To determine real keycodes of joystick keys add Set(parameter,debug,on) command to(Connect) line of cfg. file and then inspect log file.

    (Connect)=Set(parameter,joystick_up,-1);\
              Set(parameter,joystick_down,-2);\
              Set(parameter,joystick_left,-3);\
              Set(parameter,joystick_right,-4);\
              Set(parameter,joystick_push,-5);

Set(parameter,ticker_timeout,_msec_)

Allows tune speed of ticker (running text). Default value is 80 msec.

    (Connect)=Set(parameter,ticker_timeout,100);

Set(parameter,ticker_step,_pixels_)

Allows tune speed of ticker (running text). Default value is 2 (if screen width less than 150 pixels), or 4 (if screen width less than 300 pixels), or 8 overwise.

    (Connect)=Set(parameter,ticker_step,2);

Set(parameter,fix_nokia_push,on|off|auto)

Useful on some Nokia phones if push joystick do not works. Adds "Push" menu item which should be mapped to push joystick. Default value is "auto" (set to "on" for all Nokia phones, except Exx and Nxx series).

    (Connect)=Set(parameter,fix_nokia_push,on);

Set(parameter,fix_nokia40_repaint,on|off|auto)

Useful on some Nokia series 40 phones if screen is not redrawed proerly and remains white in some cases. Default value is "auto" (set to "on" for all Nokia phones).

    (Connect)=Set(parameter,fix_nokia40_repaint,on);

Set(parameter,fix_nokia60_repaint,on|off|auto)

Useful on some Nokia series 60 phones if screen is not redrawed properly and remains white in some cases. Default value is "auto" (set to "on" for Exx and Nxx series).

    (Connect)=Set(parameter,fix_nokia60_repaint,on);

Set(parameter,fix_nokia_exit_btn,on|off|auto)

Useful on some Nokia phones if "Exit" menu item is absent in main screen. Adds "Exit" to the menu. Default value is "auto" (set to "on" for E61).

    (Connect)=Set(parameter,fix_nokia_exit_btn,on);

Set(parameter,fix_motorola_menu,on|off|auto)

Useful on some Motorola phones (at least on RIZR Z3) if menu items is not repainted and remains empty. Default value is "auto".

    (Connect)=Set(parameter,fix_motorola_menu,on);

Unfortunately this does not solve all the issues. It could still happen on List or FileManager screen with active ticker. If this happens on processing of long command sequence, try to move Set(menu, ...) command to the head of this command sequence. Sometimes this can solve the issue. Also, You can force to stop ticker in List or FileManager screen by pressing "0" button.

Set(parameter,read_method 1|2|3)

Can be useful in case of java crash on Nokia's phones or in case of unstable command handling. Default value is "1".

    (Connect)=Set(parameter,read_method,2);

Maintained by anyRemote. Website by m.lettner.